## org.eclipse.datatools.connectivity.oda.design
Class ParameterMode

    java.lang.Object
      AbstractEnumerator
          org.eclipse.datatools.connectivity.oda.design.ParameterMode

public final class ParameterMode
extends AbstractEnumerator

A representation of the literals of the enumeration 'Parameter Mode', and utility methods for working with them. Indicates whether a parameter is of input and/or output mode.

See Also:
  `DesignPackage.getParameterMode()`, Serialized Form

Field Summary
`static java.lang.String` `copyright`
`static int` `IN` The 'In' literal value.
`static ParameterMode` `IN_LITERAL` The 'In' literal object.
`static int` `IN_OUT` The 'In Out' literal value.
`static ParameterMode` `IN_OUT_LITERAL` The 'In Out' literal object.
`static int` `OUT` The 'Out' literal value.
`static ParameterMode` `OUT_LITERAL` The 'Out' literal object.
`static java.util.List` `VALUES` A public read-only list of all the 'Parameter Mode' enumerators.

Method Summary
`static ParameterMode` `get(int value)` Returns the 'Parameter Mode' literal with the specified value.
`static ParameterMode` `get(java.lang.String name)` Returns the 'Parameter Mode' literal with the specified name.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

### IN

    public static final int IN

  The 'In' literal value.

  See Also:
    `IN_LITERAL`, Constant Field Values

### OUT

    public static final int OUT

  The 'Out' literal value.

  See Also:
    `OUT_LITERAL`, Constant Field Values

### IN_OUT

    public static final int IN_OUT

  The 'In Out' literal value.

  See Also:
    `IN_OUT_LITERAL`, Constant Field Values

### IN_LITERAL

    public static final ParameterMode IN_LITERAL

  The 'In' literal object.

  See Also:
    `IN`

### OUT_LITERAL

    public static final ParameterMode OUT_LITERAL

  The 'Out' literal object.

  See Also:
    `OUT`

### IN_OUT_LITERAL

    public static final ParameterMode IN_OUT_LITERAL

  The 'In Out' literal object.

  See Also:
    `IN_OUT`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Parameter Mode' enumerators.

Method Detail

### get

    public static ParameterMode get(java.lang.String name)

  Returns the 'Parameter Mode' literal with the specified name.

### get

    public static ParameterMode get(int value)

  Returns the 'Parameter Mode' literal with the specified value.

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.